Update Benchmark Provision

Add more accounts to an existing benchmark provision.

This method can be used to update accounts for an existing compliance provision. The benchmark will be added to the specified accounts; however, the newly added accounts will continue to get existing compliance provision.

KeyMeaningMandatoryData Type
adminIdThe admin user ID (email) of the source account initiating the updateYesstring
benchmarknameThe name of the existing benchmark to be updatedYesstring
target_organizationThe name of the target organization where the benchmark provision will be updatedYesstring
target_account_nameThe target account name within the organization; use 'ALL' to apply to all accountsYesstring
target_groupThe group within the target account to which the benchmark applies (e.g., a device group like 'debian')Nostring
apifiltersOptional filters to narrow down targets using tags with 'in' and 'not in' conditionsNoarray
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Compliance.updateProvisionBenchmark(
    adminId="[email protected]",
    benchmarkname="Test",
    target_account_name="Default",
    target_organization="Demo Org",
    target_group="windows 11",
    apifilters={
                  "tags": {
                        "in": {
                            "Owner": [
                                "Default",
                                "Default 1"
                            ]
                        },
                        "not in": {
                            "Category": [
                                "Finance"
                            ]
                        }
                    }
                })

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json